> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cove.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the screening data

> Get the screening data



## OpenAPI

````yaml api-reference/openapi.yaml get /v1/screening/data/{userId}
openapi: 3.0.1
info:
  title: proto/screening/v2/screening.proto
  version: version not set
servers:
  - url: /
security:
  - ApiTokenAuth: []
tags:
  - name: ScreeningService
paths:
  /v1/screening/data/{userId}:
    get:
      tags:
        - Screening V1
      summary: Get the screening data
      description: Get the screening data
      operationId: ScreeningService_GetScreeningData
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetScreeningDataResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      security:
        - ApiTokenAuth: []
components:
  schemas:
    v1GetScreeningDataResponse:
      type: object
      properties:
        screening:
          $ref: '#/components/schemas/v1Screening'
        user:
          $ref: '#/components/schemas/v1User'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1Screening:
      type: object
      properties:
        id:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        checkType:
          type: string
        coveScore:
          type: number
          format: double
        creditScore:
          type: integer
          format: int64
        equifaxResult:
          type: object
          properties: {}
        flinksBankAccounts:
          type: array
          items:
            $ref: '#/components/schemas/v1FlinksBankAccount'
        greenFlags:
          type: array
          items:
            type: string
        incomeTransactions:
          type: array
          items:
            $ref: '#/components/schemas/v1IncomeTransaction'
        landlordReviews:
          type: array
          items:
            $ref: '#/components/schemas/ScreeningLandlordReview'
        monthlyData:
          type: array
          items:
            $ref: '#/components/schemas/ScreeningMonthlyData'
        nonSufficientFunds:
          type: array
          items:
            $ref: '#/components/schemas/v1NSF'
        normBAB:
          type: number
          format: double
        normCSC:
          type: number
          format: double
        normECS:
          type: number
          format: double
        normMI:
          type: number
          format: double
        redFlags:
          type: array
          items:
            type: string
        reportStatus:
          type: string
        scanStatus:
          $ref: '#/components/schemas/ScreeningScanStatus'
        rentTransactions:
          type: array
          items:
            $ref: '#/components/schemas/ScreeningRentTransaction'
        updatedAt:
          type: string
          format: date-time
        customFormData:
          type: array
          items:
            $ref: '#/components/schemas/ScreeningCustomFormData'
        monthlyIncome:
          type: number
          format: double
        monthlyDebt:
          type: number
          format: double
        debtLimit:
          type: number
          format: double
        rent:
          type: integer
          format: int64
        publicRecords:
          type: array
          items:
            $ref: '#/components/schemas/v1ScreeningPublicRecord'
            type: object
        autoLoansMonthlyPayments:
          type: number
          format: double
        autoLoansTotalBalance:
          type: number
          format: double
        revolvingCreditMonthlyPayments:
          type: number
          format: double
        revolvingCreditTotalBalance:
          type: number
          format: double
        otherCreditMonthlyPayments:
          type: number
          format: double
        otherCreditTotalBalance:
          type: number
          format: double
        otherDebtsMonthlyPayments:
          type: number
          format: double
        otherDebtsTotalBalance:
          type: number
          format: double
        mortgageLoansMonthlyPayments:
          type: number
          format: double
        mortgageLoansTotalBalance:
          type: number
          format: double
        studentLoansMonthlyPayments:
          type: number
          format: double
        studentLoansTotalBalance:
          type: number
          format: double
        totalCurrentBankBalance:
          type: number
          format: double
        totalDebt:
          type: number
          format: double
    v1User:
      type: object
      properties:
        id:
          type: string
        phoneNumber:
          type: string
        proofOfIncome:
          type: array
          items:
            type: string
        checkComplete:
          type: boolean
        idPhotoUrls:
          type: array
          items:
            type: string
        selfieUrls:
          type: array
          items:
            type: string
        rentals:
          type: array
          items:
            $ref: '#/components/schemas/UserRentals'
        addressOnId:
          $ref: '#/components/schemas/v1UserCoveAddress'
        currentAddress:
          $ref: '#/components/schemas/v1UserCoveAddress'
        dateOfBirth:
          type: string
        firstName:
          type: string
        identityVerification:
          $ref: '#/components/schemas/UserIdentityVerification'
        lastName:
          type: string
        email:
          type: string
        employmentAnnualSalary:
          type: number
          format: double
        employmentCompanyName:
          type: string
        employmentCompanyPosition:
          type: string
        employmentReferenceFirstName:
          type: string
        employmentReferenceLastName:
          type: string
        employmentReferencePhoneNumber:
          type: string
        employmentReferenceWorkEmail:
          type: string
        employmentStartDate:
          type: string
        employmentStatus:
          type: string
        reasonForMoving:
          type: string
        residentialStatus:
          type: string
        employmentDetails:
          $ref: '#/components/schemas/v1UserEmploymentDetails'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties:
        type: object
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1FlinksBankAccount:
      type: object
      properties:
        accountNumber:
          type: string
        accountType:
          type: string
        balance:
          $ref: '#/components/schemas/FlinksBankAccountBalance'
        category:
          type: string
        currency:
          type: string
        holder:
          $ref: '#/components/schemas/FlinksBankAccountHolder'
        id:
          type: string
        institutionNumber:
          type: string
        title:
          title: google.protobuf.Value last_four_digits = 9;
          type: string
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/FlinksBankAccountTransaction'
        transitNumber:
          type: string
        type:
          type: string
    v1IncomeTransaction:
      type: object
      properties:
        accountId:
          type: string
        amount:
          type: number
          format: double
        date:
          type: string
        isoCurrencyCode:
          type: string
        originalDescription:
          type: string
        pending:
          type: boolean
        transactionId:
          type: string
    ScreeningLandlordReview:
      type: object
      properties:
        email:
          type: string
        phone:
          type: string
        wouldRentToThemAgain:
          type: integer
          format: int64
        paysRentOnTime:
          type: integer
          format: int64
        cleanliness:
          type: integer
          format: int64
        didNotDamageProperty:
          type: integer
          format: int64
        additionalDetails:
          type: string
    ScreeningMonthlyData:
      type: object
      properties:
        month:
          type: string
        averageBalance:
          type: number
          format: double
        income:
          type: number
          format: double
        spending:
          type: number
          format: double
    v1NSF:
      type: object
      properties:
        dateReported:
          type: string
          format: date-time
        creditorEntity:
          type: string
        nsfamount:
          type: number
          format: double
        details:
          type: string
        verificationDate:
          type: string
          format: date-time
    ScreeningScanStatus:
      type: object
      properties:
        criminalScan:
          type: string
        criminalScanLabel:
          type: string
        fraudScan:
          type: string
        fraudScanLabel:
          type: string
        globalClearanceScan:
          type: string
        globalClearanceScanLabel:
          type: string
        knownAffiliationScan:
          type: string
        knownAffiliationScanLabel:
          title: Fixed typo here
          type: string
        ofacGlobalTerroristScan:
          type: string
        ofacGlobalTerroristScanLabel:
          type: string
        otherScan:
          type: string
        otherScanLabel:
          type: string
        politicallyExposedPersonScan:
          type: string
        politicallyExposedPersonScanLabel:
          type: string
        publicCourtRecords:
          type: string
        publicCourtRecordsLabel:
          type: string
        publicProfileScan:
          type: string
        publicProfileScanLabel:
          type: string
        publicSafetyScan:
          type: string
        publicSafetyScanLabel:
          type: string
        sexOffenderScan:
          type: string
        sexOffenderScanLabel:
          type: string
    ScreeningRentTransaction:
      type: object
      properties:
        id:
          type: string
        type:
          title: '"DEBIT" or "CREDIT"'
          type: string
        amount:
          type: number
          format: double
        isoCurrencyCode:
          type: string
        description:
          type: string
        date:
          title: ISO 8601 date
          type: string
    ScreeningCustomFormData:
      type: object
      properties:
        question:
          type: string
        value:
          type: string
        type:
          type: string
    v1ScreeningPublicRecord:
      type: object
      properties:
        topic:
          type: string
        matchConfidence:
          type: number
          format: double
        landlordName:
          type: string
        amountOwed:
          type: number
          format: double
        url:
          type: string
    UserRentals:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/v1UserCoveAddress'
        start:
          type: string
        reasonForMoving:
          type: string
        rentAmount:
          type: integer
          format: int64
        landlordName:
          type: string
        landlordEmail:
          type: string
        landlordPhone:
          type: string
        id:
          type: string
    v1UserCoveAddress:
      type: object
      properties:
        street:
          type: string
        city:
          type: string
        provinceState:
          type: string
        country:
          type: string
        postalCode:
          type: string
        fullAddress:
          type: string
    UserIdentityVerification:
      type: object
      properties:
        source:
          type: string
        name:
          $ref: '#/components/schemas/v1UserName'
        phone:
          type: string
        email:
          type: string
        address:
          $ref: '#/components/schemas/UserCommonAddress'
        verifications:
          $ref: '#/components/schemas/v1UserVerifications'
        idNumber:
          type: string
        at:
          type: string
          format: date-time
    v1UserEmploymentDetails:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/v1UserIdentity'
        income:
          $ref: '#/components/schemas/v1UserIncome'
        employment:
          $ref: '#/components/schemas/v1UserEmployment'
    FlinksBankAccountBalance:
      type: object
      properties:
        available:
          type: number
          format: double
        current:
          type: number
          format: double
        limit:
          type: string
          format: int64
    FlinksBankAccountHolder:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/FlinksBankAccountHolderAddress'
        email:
          type: string
        name:
          type: string
        phoneNumber:
          type: string
    FlinksBankAccountTransaction:
      type: object
      properties:
        balance:
          type: number
          format: double
        credit:
          title: google.protobuf.Value code = 2;
          type: number
          format: double
        date:
          type: string
        debit:
          type: number
          format: double
        description:
          type: string
        id:
          type: string
    v1UserName:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
    UserCommonAddress:
      type: object
      properties:
        line1:
          type: string
        line2:
          type: string
        city:
          type: string
        state:
          type: string
        postalCode:
          type: string
        country:
          type: string
    v1UserVerifications:
      type: object
      properties:
        liveness:
          type: boolean
        faceMatch:
          type: boolean
        nameMatch:
          type: boolean
    v1UserIdentity:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
          format: date-time
        email:
          type: string
        phone:
          type: string
        ssn:
          type: string
        address:
          type: string
        city:
          type: string
        state:
          type: string
        postalCode:
          type: string
    v1UserIncome:
      type: object
      properties:
        income:
          type: number
          format: double
        incomeType:
          type: string
        annualIncome:
          type: string
          format: uint64
        hourlyIncome:
          type: number
          format: double
        netHourlyRate:
          type: number
          format: double
        payCycle:
          type: string
        nextExpectedPayDate:
          type: string
          format: date-time
        currentPayPeriodStart:
          type: string
          format: date-time
        currentPayPeriodEnd:
          type: string
          format: date-time
    v1UserEmployment:
      type: object
      properties:
        employeeType:
          type: string
        employmentStatus:
          type: string
        jobTitle:
          type: string
        startDate:
          type: string
          format: date-time
        minimumMonthsOfEmployment:
          type: integer
          format: int64
        weeklyHours:
          type: integer
          format: int64
        employer:
          $ref: '#/components/schemas/v1UserEmployer'
    FlinksBankAccountHolderAddress:
      type: object
      properties:
        city:
          type: string
        civicAddress:
          type: string
        country:
          type: string
        poBox:
          type: string
        postalCode:
          type: string
        province:
          type: string
    v1UserEmployer:
      type: object
      properties:
        name:
          type: string
        address:
          $ref: '#/components/schemas/UserCommonAddress'
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      description: API authentication token
      name: Authorization
      in: header

````